unit Unit23;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, pngimage, ExtCtrls, jpeg;

type
  TForm23 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Edit2: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Edit3: TEdit;
    Label9: TLabel;
    Button1: TButton;
    Label10: TLabel;
    Button2: TButton;
    Label11: TLabel;
    Label12: TLabel;
    Button3: TButton;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Image1: TImage;
    Button4: TButton;
    Image2: TImage;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Label7Click(Sender: TObject);
    procedure Label8Click(Sender: TObject);
    procedure Label6Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form23: TForm23;

implementation

uses Unit24, Unit27, Unit22, Unit32;

{$R *.dfm}

procedure TForm23.Button1Click(Sender: TObject);
var s:string;
begin
edit3.Enabled:=false;
button1.Enabled:=false;
s:=UpperCase(edit3.Text);
if s='12' then begin label10.Caption:='corect';
                     label10.Font.Color:=clgreen;
end
else begin label10.Caption:='gresit';
           label10.font.Color:=clred;
end;


end;

procedure TForm23.Button2Click(Sender: TObject);
var s:string;
begin
edit1.Enabled:=false;
button2.Enabled:=false;
s:=UpperCase(edit1.Text);
if s='SIMETRICUL' then begin label11.Caption:='corect';
                             label11.Font.Color:=clgreen;
end
else begin label11.Caption:='gresit';
           label11.Font.Color:=clred;
end;

end;

procedure TForm23.Button3Click(Sender: TObject);
var s:string;
begin
  edit2.Enabled:=false;
  button3.Enabled:=false;

s:=UpperCase(edit2.Text);
if s='48' then begin label13.Caption:='corect';
                     label13.Font.color:=clgreen;
end
else begin label13.Caption:='gresit';
           label13.Font.Color:=clred;

end;

end;
procedure TForm23.Button4Click(Sender: TObject);
begin
form32.show;
form23.Visible:=false;
end;

procedure TForm23.Image1Click(Sender: TObject);
begin
form22.show;
form23.Visible:=false;
end;

procedure TForm23.Label6Click(Sender: TObject);
begin
form24.show;

end;

procedure TForm23.Label7Click(Sender: TObject);
var s:string;
begin
button4.Enabled:=true;
label7.Enabled:=false;
label8.Enabled:=false;
label6.Enabled:=false;
 s:=UpperCase(label14.Caption);
 if s='label7' then begin label14.Caption:='corect';
                          label14.Font.Color:=clgreen;
 end
 else begin label14.Caption:='gresit';
            label14.Font.Color:=clred;
 end;


end;

procedure TForm23.Label8Click(Sender: TObject);
var s:string;
begin
button4.Enabled:=true;
label7.Enabled:=false;
label8.Enabled:=false;
label6.Enabled:=false;
s:=UpperCase(label14.Caption);
if s='label8' then begin label14.Caption:='corect';
                         label14.Font.Color:=clgreen;
end
   else begin label14.Caption:='gresit';
              label14.Font.Color:=clred;
   end;
end;

end.
